/*
 * $Revision: 1.2 $
 * 
 * last checkin:
 *   $Author: chimani $ 
 *   $Date: 2005/11/15 12:40:05 $ 
 ***************************************************************/
 
/** \file
 * \brief Base class for Cluster Planarity tests and 
 * Cluster Planar embedding algorithm
 * 
 * \author Sebastian Leipert
 * 
 * \par License:
 * This file is part of the Open Graph Drawing Framework (OGDF).
 * Copyright (C) 2005
 * 
 * \par
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * Version 2 as published by the Free Software Foundation.
 * 
 * \par
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * \par
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 * 
 * \see  http://www.gnu.org/copyleft/gpl.html
 ***************************************************************/


#ifdef _MSC_VER
#pragma once
#endif

#ifndef OGDF_CLUSTER_PLANAR_MODULE_H
#define OGDF_CLUSTER_PLANAR_MODULE_H


#include <ogdf/cluster/ClusterGraph.h>

namespace ogdf {

class ClusterPlanarModule {

public:

	// Constructor
	ClusterPlanarModule() {}

	// Destructor
	virtual ~ClusterPlanarModule() {}

	// Tests if a ClusterGraph is C-planar
	virtual bool call(ClusterGraph &C) = 0;

	// Tests if a const ClusterGraph is C-planar
	virtual bool call(const ClusterGraph &C) = 0;
	
};

} // end namespace ogdf


#endif
