/*
 * $Revision: 1.6 $
 * 
 * last checkin:
 *   $Author: gutweng $ 
 *   $Date: 2006/07/19 13:38:00 $ 
 ***************************************************************/
 
/** \file
 * \brief Handles Abacus Dependencies.
 * 
 * Include this file whenever you want to use Abacus. It does the
 * rest for you. Just be sure to structure your code using the
 * USE_ABACUS Flag. (See AbacusOptimalCrossingMinimizer for an
 * example).
 * 
 * \author Markus Chimani
 * 
 * \par License:
 * This file is part of the Open Graph Drawing Framework (OGDF).
 * Copyright (C) 2005
 * 
 * \par
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * Version 2 as published by the Free Software Foundation.
 * 
 * \par
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * \par
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 * 
 * \see  http://www.gnu.org/copyleft/gpl.html
 ***************************************************************/


#ifndef OGDF_ABACUS_H
#define OGDF_ABACUS_H

#ifdef USE_ABACUS

#include <abacus/variable.h>
#include <abacus/constraint.h>
#include <abacus/master.h>
#include <abacus/buffer.h>
#include <abacus/sub.h>
#include <abacus/row.h>
#include <abacus/nonduplpool.h>
#include <abacus/active.h>
#include <abacus/branchrule.h>
#include <abacus/conbranchrule.h>

#else // USE_ABACUS

#include <ogdf/basic/exceptions.h>
#define THROW_NO_ABACUS_EXCEPTION THROW_PARAM(LibraryNotSupportedException, lnscAbacus)


#endif // USE_ABACUS

#endif // OGDF_ABACUS_H
