/*
 * $Revision: 1.5 $
 * 
 * last checkin:
 *   $Author: gutweng $ 
 *   $Date: 2007/03/12 16:02:59 $ 
 ***************************************************************/
 
/** \file
 * \brief Declaration of class PlanarLeafKey.
 * 
 * \author Sebastian Leipert
 * 
 * \par License:
 * This file is part of the Open Graph Drawing Framework (OGDF).
 * Copyright (C) 2005
 * 
 * \par
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * Version 2 as published by the Free Software Foundation.
 * 
 * \par
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * \par
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 * 
 * \see  http://www.gnu.org/copyleft/gpl.html
 ***************************************************************/


#ifdef _MSC_VER
#pragma once
#endif


#ifndef OGDF_PLANAR_LEAFKEY_H
#define OGDF_PLANAR_LEAFKEY_H



#include <ogdf/internal/planarity/PQLeafKey.h>
#include <iostream>
#include <string>




namespace ogdf {

//class indInfo;

template<class X>
class PlanarLeafKey : public PQLeafKey<edge,X,bool>{

public:

	PlanarLeafKey(edge e) : PQLeafKey<edge,X,bool>(e) {};

	virtual ~PlanarLeafKey() {};

	char* print()
	{
		if (!this->m_printString) 
			this->m_printString = new char[128]; 
		int sId = this->m_userStructKey->source()->index();
		int tId = this->m_userStructKey->target()->index();
		ogdf::sprintf(this->m_printString, 128, " (%d,%d)",sId,tId);
		return this->m_printString;
	};

};

}

#endif
