/*
 * $Revision: 1.2 $
 * 
 * last checkin:
 *   $Author: gutweng $ 
 *   $Date: 2007/03/10 19:25:07 $ 
 ***************************************************************/
 
/** \file
 * \brief Declaration of a Mixed-Model crossings beautifier
 * that local stretching.
 * 
 * \author Carsten Gutwenger
 * 
 * \par License:
 * This file is part of the Open Graph Drawing Framework (OGDF).
 * Copyright (C) 2005
 * 
 * \par
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * Version 2 as published by the Free Software Foundation.
 * 
 * \par
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * \par
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 * 
 * \see  http://www.gnu.org/copyleft/gpl.html
 ***************************************************************/

#ifdef _MSC_VER
#pragma once
#endif

#ifndef OGDF_MMCB_LOCAL_STRETCH_H
#define OGDF_MMCB_LOCAL_STRETCH_H



#include <ogdf/planarlayout/MMCBBase.h>


namespace ogdf {


/**
 * \brief Crossings beautifier using a local stretch strategy.
 */
class MMCBLocalStretch : public MMCBBase
{
public:
	//! Creates an instance of the crossings beautifier.
	MMCBLocalStretch() { }

	~MMCBLocalStretch() { }

protected:
	//! Implements the module call.
	void doCall(const PlanRep &PG, GridLayout &gl, const List<node> &L);
};


} // end namespace ogdf

#endif
