/*
 * $Revision: 1.1 $
 * 
 * last checkin:
 *   $Author: gutweng $ 
 *   $Date: 2007/03/02 10:54:15 $ 
 ***************************************************************/
 
/** \file
 * \brief Implements a simple, dfs-based algorithm for
 * biconnectivity augmentation.
 * 
 * \author Carsten Gutwenger
 * 
 * \par License:
 * This file is part of the Open Graph Drawing Framework (OGDF).
 * Copyright (C) 2005
 * 
 * \par
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * Version 2 as published by the Free Software Foundation.
 * 
 * \par
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * \par
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 * 
 * \see  http://www.gnu.org/copyleft/gpl.html
 ***************************************************************/


#include <ogdf/augmentation/DfsMakeBiconnected.h>
#include <ogdf/basic/simple_graph_alg.h>


namespace ogdf {


void DfsMakeBiconnected::doCall(Graph &G, List<edge> &L)
{
	makeBiconnected(G,L);
}


} // end namespace ogdf
