/** \file
 * \brief Defines instances for ConnectedSubgraph. Include this
 * file if you want to use ConnectedSubgraph instead of
 * ConnectedSubgraph.h or ConnectedSubgraph.cpp, this makes the
 * code compile faster and the object files smaller.
 * 
 * \author Thorsten Kerkhof (Thorsten.Kerkhof@udo.edu)
 * 
 * \par License:
 * This file is part of the Open Graph Drawing Framework (OGDF).
 * Copyright (C) 2005
 * 
 * \par
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * Version 2 as published by the Free Software Foundation.
 * 
 * \par
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * \par
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 * 
 * \see  http://www.gnu.org/copyleft/gpl.html
 ***************************************************************/

#include "ConnectedSubgraph.cpp"
#include <ogdf/internal/planarity/EmbedderMDMFLengthAttribute.h>

namespace ogdf {

template class ConnectedSubgraph<int>;
template class ConnectedSubgraph<mdmf_la>;

} // end namespace ogdf
